Name:		mdkwebadmin
Version:	10.0
Release:	0.3mdk
License:	GPL
URL:		http://www.mandrakelinux.com/
Group:		System/Configuration/Other

# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
# no extra source or patch are allowed here.
Source:		mdkwebadmin-%version.tar.bz2
Patch0:		new-autoconf-support.patch.bz2

BuildRoot:	%_tmppath/%name-%release-root
BuildRequires:	XFree86-devel
BuildRequires:	libarts-devel
BuildRequires:	fam-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	qt3-devel
BuildRequires:	zlib-devel

Summary:	Mandrake frontend html browser to webmin
Group:		Graphical desktop/KDE
Requires:	kdelibs, xinitrc >= 2.4.4-72mdk, webmin

%description
The mandrake webadmin package is a light web browser which will 
connect to a webmin server locally or remotely and helps to 
administer boxes. It is a good add-on to Mandrake Control Center.

%prep

%setup -q
%patch0 -p 1

%build
make -f admin/Makefile.common

%{?__cputoolize: %{__cputoolize} }

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

	./configure \
        --prefix=%_prefix \
		--libdir=%_libdir \
        --enable-final \
		--disable-debug \
		--with-xinerama \
		--disable-rpath

%make

%install
rm -rf %buildroot

%makeinstall_std
chmod 0755 %buildroot/%{_bindir}/*

%clean
rm -fr %buildroot

%files 
%defattr(-,root,root)
%{_bindir}/mdkwebadmin
%_datadir/applnk/Applications/*.desktop

%changelog
* Tue Jun  8 2004 Robert Vojta <robert.vojta@mandrake.org> 10.0-0.3mdk
- Patch0 added - new autoconf support

* Tue May 25 2004 Robert Vojta <robert.vojta@mandrake.org> 10.0-0.2mdk
- Requires webmin (#9854)

* Thu Dec  4 2003 Daouda LO <daouda@mandrakesoft.com> 10.0-0.1mdk
- first mdk package

